#2738 Integrate encountered a Lisp error: The value 2 is not of type LIST.

None
closed
nobody
5
2014-06-05
2014-05-28
johnm693
No
x(t):=2*cos(t);
y(t):=2*sin(t);
integrate((x(t)+y(t)^2)*sqrt(diff(x(t),t)^2+diff(y(t),t)^2),t);

Maxima encountered a Lisp error:

The value 2 is not of type LIST.

Automatically continuing.
To enable the Lisp debugger set *debugger-hook* to nil.
(%i6) bug_report ();

Please report bugs to:
    http://sourceforge.net/p/maxima/bugs
To report a bug, you must have a Sourceforge account.
Please include the following information with your bug report:
-------------------------------------------------------------
?%build_info("5.33.0","2014-05-23 11:22:17","x86_64-unknown-linux-gnu","SBCL",
         "1.1.18")
-------------------------------------------------------------
The above information is also reported by the function 'build_info'.

(%o6) ""

Discussion

    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -1,23 +1,23 @@
    -x(t):=2*cos(t);
    -y(t):=2*sin(t);
    -integrate((x(t)+y(t)^2)*sqrt(diff(x(t),t)^2+diff(y(t),t)^2),t);
    +    x(t):=2*cos(t);
    +    y(t):=2*sin(t);
    +    integrate((x(t)+y(t)^2)*sqrt(diff(x(t),t)^2+diff(y(t),t)^2),t);
    
    -Maxima encountered a Lisp error:
    +    Maxima encountered a Lisp error:
    
    - The value 2 is not of type LIST.
    +    The value 2 is not of type LIST.
    
    -Automatically continuing.
    -To enable the Lisp debugger set *debugger-hook* to nil.
    -(%i6) bug_report ();
    +    Automatically continuing.
    +    To enable the Lisp debugger set *debugger-hook* to nil.
    +    (%i6) bug_report ();
    
    -Please report bugs to:
    -    http://sourceforge.net/p/maxima/bugs
    -To report a bug, you must have a Sourceforge account.
    -Please include the following information with your bug report:
    --------------------------------------------------------------
    -?%build_info("5.33.0","2014-05-23 11:22:17","x86_64-unknown-linux-gnu","SBCL",
    +    Please report bugs to:
    +        http://sourceforge.net/p/maxima/bugs
    +    To report a bug, you must have a Sourceforge account.
    +    Please include the following information with your bug report:
    +    -------------------------------------------------------------
    +    ?%build_info("5.33.0","2014-05-23 11:22:17","x86_64-unknown-linux-gnu","SBCL",
                  "1.1.18")
    --------------------------------------------------------------
    -The above information is also reported by the function 'build_info'.
    +    -------------------------------------------------------------
    +    The above information is also reported by the function 'build_info'.
    
    -(%o6) ""
    +    (%o6) ""
    
     
  • Yes, I agree that there is a bug but just in case you have not noticed it, the bug does not show up if you use trigsimp:

    (%i3) integrate(trigsimp((x(t)+y(t)^2)*sqrt(diff(x(t),t)^2+diff(y(t),t)^2)),t);
                               sin(2 t)
    (%o3)               4 (t - --------) + 4 sin(t)
                                  2
    
     
  • Robert Dodier
    Robert Dodier
    2014-06-05

    • labels: --> integration
    • status: open --> closed
     
  • Robert Dodier
    Robert Dodier
    2014-06-05

    Thanks for this report. Fixed by commit [84c328a5]. Closing this report.